%global fontname josefinsansstd-light
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        1.000 
Release:        1%{?dist}
Summary:        A latin font that is geometric, elegant, and kind of vintage

Group:          User Interface/X
License:        OFL
URL:            http://code.google.com/p/googlefontdirectory/source/browse/josefin/
Source0:        http://googlefontdirectory.googlecode.com/hg/josefin/JosefinSansStd-Light.ttf
Source1:        %{name}-fontconfig.conf
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
The idea for creating this typeface was to make it geometric, elegant and 
kind of vintage, especially for titling. It is based on Rudolf Koch's 
Kabel (1927), Rudolf Wolf's Memphis (1930),Paul Renner's Futura (1927?).



%prep
%setup -c -T
cp -p %{SOURCE0} .


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc


%changelog
* Mon May 24 2010 Parag Nemade <pnemade AT redhat.com> - 1.000-1
- Initial Fedora release.

